1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

psa-admin down after un/installing php PSA 7.5.1. RH 9

Discussion in 'Plesk for Linux - 8.x and Older' started by dominion, Dec 28, 2004.

  1. dominion

    dominion Guest

    0
     
    I think I removed the psa-php rpm when installing php 4.3.10 (with yum). Where can I get those ?

    After installing webmail MySQL doesnt work anymore. When I searched the archive I found a thread that says uninstall php/MySQL and re-install....So I thing I uninstalled the psa PHP and/or MySQL.

    The new php works btw fine, but the psa-admin doens work anymore. When I tried to start I get:

    # service psa start
    psa: unrecognized service

    Please help me :-(

    This is what I have installed now:

    MYSQL:

    [root@xxx base]# rpm -qa | grep mysql
    mysql-compat-4.0.22-2.rh90.art
    mysql-server-4.0.22-2.rh90.art
    mysql-4.0.22-2.rh90.art
    [root@xxx base]# yum list | grep mysql
    libdbi-dbd-mysql i386 0.6.5-5 base
    mod_auth_mysql i386 1.11-12 base
    mysql-devel i386 4.0.22-2.rh90.art atomic
    php-mysql i386 1:4.3.10-1.rh90.art atomic

    PHP:

    [root@xxx base]# rpm -qa | grep php
    php-4.3.10-1.rh90.art
    php-mbstring-4.3.10-1.rh90.art
    php-pear-4.3.10-1.rh90.art
    [root@xxx base]# yum list | grep php
    asp2php i386 0.76.2-5 base
    asp2php-gtk i386 0.76.2-5 base
    php-devel i386 1:4.3.10-1.rh90.art atomic
    php-domxml i386 1:4.3.10-1.rh90.art atomic
    php-imap i386 1:4.3.10-1.rh90.art atomic
    php-ldap i386 1:4.3.10-1.rh90.art atomic
    php-manual i386 4.2.2-17.2 updates
    php-mcrypt i386 1:4.3.10-1.rh90.art atomic
    php-mhash i386 1:4.3.10-1.rh90.art atomic
    php-mysql i386 1:4.3.10-1.rh90.art atomic
    php-odbc i386 1:4.3.10-1.rh90.art atomic
    php-pgsql i386 1:4.3.10-1.rh90.art atomic
    php-snmp i386 1:4.3.10-1.rh90.art atomic
    php-xmlrpc i386 1:4.3.10-1.rh90.art atomic
    phpAds noarch 2.0-1 psa-7.5
    phpBB noarch 2.0.11-1 psa-7.5
    phpBook noarch 1.50-1 psa-7.5
    phpBugTracker noarch 1.1-2 psa-7.5
    phpDig noarch 1.83-7 psa-7.5
    phpMoney noarch 1.3-5 psa-7.5
    phpMyFamily noarch 1.3-1 psa-7.5
    phpWiki noarch 1.2-6 psa-7.5
    phpsurveyor noarch 0.98-6 psa-7.5
     
  2. Cranky

    Cranky Guest

    0
     
    What happens when you restart psa? Which psa rpm's are installed?

    rpm -qa | grep psa
     
  3. dominion

    dominion Guest

    0
     
    Thanks for your thinking !
    I realy think I miss or deleted something


    [root@xxxx base]# service psa restart
    psa: unrecognized service

    [root@xxxx base]# rpm -qa | grep psa
    psa-pre-keyupdate-7.5.1-rh9.build75041216.14
    psa-key-7.5-rh9.build75041216.14
    psa-qmail-1.03-rh9.build75041216.14
    psa-logrotate-3.7-rh9.build75041216.14
    psa-courier-imap-add-7.5.1-rh9.build75041216.14
    frontpage-5.0-70psa.rh9
    perl-Font-AFM-1.18-60psa
    perl-HTML-Format-1.23-50psa
    perl-MLDBM-2.01-60psa
    psa-api-rpc-doc-1.3.2-3.1
    psa-qmail-rblsmtpd-0.70-rh9.build75041216.14
    psa-locale-base-en-7.1.6-rh9.build71041118.17
    psa-locale-base-en-US-7.5.1-rh9.build75041216.14
    psa-api-rpc-1.3.2-3.1
    psa-proftpd-xinetd-1.2.10-rh9.build75041216.14
    psa-proftpd-1.2.10-rh9.build75041216.14
    perl-FreezeThaw-0.43-60psa
    perl-HTML-Tree-3.16-60psa
    perl-MLDBM-Sync-0.30-60psa
    psa-api-rpc-protocol-1.3.2-3.1
    mod_webapp-4.1.29-40psa.rh9
     
  4. Cranky

    Cranky Guest

    0
     
    You've removed main psa rpm. Reinstall it from the .tar.gz with:

    rpm -Uvh psa-7.5.1*rpm
     
  5. dominion

    dominion Guest

    0
     
    Where can i find the right tar.gz ? I found an rpm (see below) but needed other packages.


    # rpm -Uvh /root/psa/PSA_7.5.1/rpm_RedHat_9/base/psa-7.5.1-rh9.build75041216.14.i586.rpm

    error: Failed dependencies:
    php-imap is needed by psa-7.5.1-rh9.build75041216.14
    php-mysql is needed by psa-7.5.1-rh9.build75041216.14
    psa-api-cli >= 7.5.1 is needed by psa-7.5.1-rh9.build75041216.14
    psa-api-common >= 7.5.1 is needed by psa-7.5.1-rh9.build75041216.14


    For example when i do then:

    [root@xxx base]# rpm -Uvh /root/psa/PSA_7.1.6/RH9_std.updates/php-imap-4.3.2-psa.rh9.1.i386.rpm

    error: Failed dependencies:
    php = 4.3.2-psa.rh9.1 is needed by php-imap-4.3.2-psa.rh9.1

    I know its an update, but this tell me the PHP is missing....
     
  6. Cranky

    Cranky Guest

    0
     
    You'll need to install psa-api-cli and psa-api-common too.

    rpm -Uvh psa-api*rpm psa-7.5.1*rpm

    Do you still have php-imap and php-mysql RPM's installed?
     
  7. dominion

    dominion Guest

    0
     
    I know, but I need other packages that I can't fint. See below, what the heck is "psa-security " ?

    [root@xxx base]# rpm -Uvh psa-api-common-7.5.1-rh9.build75041216.14.i586.rpm
    error: Failed dependencies:
    psa-security = 7.5 is needed by psa-api-common-7.5.1-rh9.build75041216.14


    [root@xxx base]# rpm -Uvh psa-api-cli-7.5.1-rh9.build75041216.14.i586.rpm
    error: Failed dependencies:
    psa-api-common = 7.5.1 is needed by psa-api-cli-7.5.1-rh9.build75041216.14


    For the MySQL (see command)

    [root@xxx base]# rpm -qa | grep mysql
    mysql-compat-4.0.22-2.rh90.art
    mysql-server-4.0.22-2.rh90.art
    mysql-4.0.22-2.rh90.art

    What happend when I uninstalled PHP and MySQL...Can I still repair al this mess ?
     
  8. dominion

    dominion Guest

    0
     
    oke, I did all installed succesfully :)

    But now the next problem when I start the PSA:


    [root@XXX base]# service psa start
    ===> Reading /etc/psa/psa.conf ...
    Syntax error on line 213 of /usr/local/psa/admin/conf/httpsd.conf:
    Cannot load /usr/local/psa/admin/libexec/mod_info.so into server: /usr/local/psa/admin/libexec/mod_info.so: undefined symbol: top_module
    /usr/local/psa/admin/bin/httpsdctl start: httpd could not be started
    Starting Plesk: [FAILED]
     
  9. Cranky

    Cranky Guest

    0
     
    Did you upgrade from 7.0.x to 7.5.x by any chance?
     
  10. dominion

    dominion Guest

    0
     
    no originally from 7.1.6 to 7.5.1

    Can I Plesk uninstall completely and then install it remotely ?

    btw when I do a de-select (#) mod_info.so in the file
    /usr/local/psa/admin/conf/httpsd.conf

    PSA start without errors but the :8443 I can't reach....
     
  11. Cranky

    Cranky Guest

    0
     
    Do a rpm -qa | grep psa again.
     
  12. dominion

    dominion Guest

    0
     
    Oke, here it is:

    [root@XXX root]# rpm -qa | grep psa
    psa-pre-keyupdate-7.5.1-rh9.build75041216.14
    psa-key-7.5-rh9.build75041216.14
    psa-qmail-1.03-rh9.build75041216.14
    psa-logrotate-3.7-rh9.build75041216.14
    psa-courier-imap-add-7.5.1-rh9.build75041216.14
    frontpage-5.0-70psa.rh9
    perl-Font-AFM-1.18-60psa
    perl-HTML-Format-1.23-50psa
    perl-MLDBM-2.01-60psa
    psa-api-rpc-doc-1.3.2-3.1
    psa-api-common-7.5.1-rh9.build75041216.14
    psa-api-cli-7.5.1-rh9.build75041216.14
    psa-locale-base-en-7.1.6-rh9.build71041118.17
    psa-locale-base-en-US-7.5.1-rh9.build75041216.14
    psa-proftpd-xinetd-1.2.10-rh9.build75041216.14
    psa-proftpd-1.2.10-rh9.build75041216.14
    perl-FreezeThaw-0.43-60psa
    perl-HTML-Tree-3.16-60psa
    perl-MLDBM-Sync-0.30-60psa
    psa-api-rpc-protocol-1.3.2-3.1
    mod_webapp-4.1.29-40psa.rh9
    psa-7.5.1-rh9.build75041216.14

    b.t.w. I appreciate your help very much.
    Hope this end in a running machine :)
     
  13. Cranky

    Cranky Guest

    0
     
    In that case I'd advise removing 7.5.1, installing 7.1.6, restoring psa database from the backup the RPM performs, testing the installation and upgrading again.
     
  14. dominion

    dominion Guest

    0
     
    Oke, did a lot of work now and run into the following problem (cant find in the forum).
    I removed 7.5.1 and installed the original (it was 7.1.2) now seems the plesk db is gone....mysql is running ok, but I cant find a mysql.sock file....really strange again....

    rpm -Uvh /root/psa/PSA_7.1.2/rpm_RedHat_9/base/psa-7.1.2-rh9.build71040817.01.i586.rpm........................stopped by:

    Trying to install initial Plesk database... ERROR 2002: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

    ERROR while trying to install initial Plesk database
    Check the error reason(see log file: /tmp/psa_7.1.2_RedHat_9_build71040817.01_installing.log), fix and try again

    Aborting...
     
  15. Cranky

    Cranky Guest

    0
     
    Are you sure MySQL was running? Can you restart it now without problems? Try running psa installer again if you can, otherwise check mysqld.log.
     
  16. dominion

    dominion Guest

    0
     
    you're right mysql seems not working right (mysqld.log):

    041229 03:11:53 mysqld started
    041229 3:11:53 InnoDB: Started
    /usr/libexec/mysqld: ready for connections.
    Version: '4.0.22' socket: '/var/lib/mysql/mysql.sock' port: 3306 Source distribution
    041229 3:11:58 /usr/libexec/mysqld: Normal shutdown

    041229 3:11:58 InnoDB: Starting shutdown...
    A mysqld process already exists at Wed Dec 29 03:11:58 CET 2004
    041229 3:11:59 InnoDB: Shutdown completed
    041229 3:11:59 /usr/libexec/mysqld: Shutdown Complete

    041229 03:11:59 mysqld ended

    041229 03:12:01 mysqld started
    041229 3:12:01 InnoDB: Started
    /usr/libexec/mysqld: ready for connections.
    Version: '4.0.22' socket: '/var/lib/mysql/mysql.sock' port: 3306 Source distribution
    041229 3:12:02 /usr/libexec/mysqld: Normal shutdown

    041229 3:12:02 InnoDB: Starting shutdown...
    A mysqld process already exists at Wed Dec 29 03:12:02 CET 2004
    A mysqld process already exists at Wed Dec 29 03:12:04 CET 2004
    041229 3:12:05 InnoDB: Shutdown completed
    041229 3:12:05 /usr/libexec/mysqld: Shutdown Complete

    041229 03:12:05 mysqld ended

    041229 03:12:05 mysqld started
    041229 3:12:05 InnoDB: Started
    /usr/libexec/mysqld: ready for connections.
    Version: '4.0.22' socket: '/var/lib/mysql/mysql.sock' port: 3306 Source distribution
     
  17. Cranky

    Cranky Guest

    0
     
    Try running psa-751 installer again to see if it can connect. MySQL seems fine in mysqld.log.
     
  18. dominion

    dominion Guest

    0
     
    Now the install is hanging becourse it can't find the psa database (see below):

    ===> Installing psa database
    Trying to start MySQL server... done
    Trying to check psa database... Trying to find psa database...
    Trying to connect with admin account... connected
    Trying to check psa database version... ERROR 1049: Unknown database 'psa'
    not found
    Trying to stop MySQL server... done
    Trying to start MySQL server... done

    ERROR while trying to start MySQL server
    Check the error reason(see log file: /tmp/psa_7.1.6_RedHat_9_build71041118.17_installing.log), fix and try again

    Aborting...


    Also restore the psa db (from /var/lib/psa/dumps/mysql.daily.dump.2.gz) doesnt work, or i did something wrong, I cant find exactly how to do that on the forum. Is hard to get the right commands in this forum...

    Is there a way to remove all plesk and do a clean install remotely ? Or is there a way to generate the plesk db ?
     
  19. Cranky

    Cranky Guest

    0
     
    Ok, remove all PSA rpm's. Remove /var/lib/mysql/psa /var/lib/mysql/mysql and /var/lib/mysql/horde (move them elsewhere, rather than deleting, just in case) ... install 7.1.2, restore DB your old DB with:

    mysql -aadmin -pADMIN-PASSWD < /path/to/mysqldump.sql

    (you'll find your PSA, horde and mysql db's in something like ... /var/lib/psa/dumps/mysql.preupgrade.dump.gz)

    If that completes without errors check to see if Plesk is working, then upgrade to 7.5.1.
     
  20. chud67

    chud67 Guest

    0
     
    Dominion, how did you get past the "psa-security" issue? I can't find this rpm anywhere.
     
Loading...